classification
Title: mimetypes.__all__ list is incomplete
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Unit03, martin.panter, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2016-05-24 20:31 by Unit03, last changed 2016-06-06 02:55 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
mimetypes_all.patch Unit03, 2016-05-24 20:31 review
mimetypes_all.v2.patch Unit03, 2016-05-25 10:41 review
Messages (6)
msg266268 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-24 20:31
That's a child issue of #23883, created to propose a patch fixing mimetypes module's __all__ list.
msg266274 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-24 20:53
LGTM
msg266323 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-25 09:10
I left a comment about the empty blacklist. Other than removing the blacklist parameter, I think this is good to go.
msg266329 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-25 10:41
Thank you, Martin. I'm uploading amended patch.
msg266348 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-25 13:28
I thought having the empty blacklist was a good reminder, in case names are added later that need blacklisting (though granted that should be unlikely at this point, since we are more consistent about using _ names for internals now).  I have no objection to removing it, though.
msg267510 - (view) Author: Roundup Robot (python-dev) Date: 2016-06-06 02:30
New changeset 2057b0af1c52 by Martin Panter in branch 'default':
Issue #27108: Add missing names to mimetypes.__all__, by Jacek Kołodziej
https://hg.python.org/cpython/rev/2057b0af1c52
History
Date User Action Args
2016-06-06 02:55:25martin.pantersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-06-06 02:30:54python-devsetnosy: + python-dev
messages: + msg267510
2016-05-25 13:28:08r.david.murraysetmessages: + msg266348
2016-05-25 13:16:53martin.panterlinkissue23883 dependencies
2016-05-25 10:41:30Unit03setfiles: + mimetypes_all.v2.patch

messages: + msg266329
2016-05-25 09:10:35martin.pantersetnosy: + martin.panter

messages: + msg266323
stage: commit review
2016-05-24 20:53:38r.david.murraysetnosy: + r.david.murray
messages: + msg266274
2016-05-24 20:31:36Unit03create